import request from "@/utils/request";

//系统配置
export function systemconfig(params) {
  return request({
    url: "/ums/umsSystemConfig/getSystemConfig",
    method: "get",
    params: params,
  });
}

//分销比例设置
export function distributionSet(data) {
  return request({
    url: "/ums/umsSystemConfig/updateSystemConfig",
    method: "post",
    data: data,
  });
}

//用户列表
export function userList(params) {
  return request({
    url: "/ums/umsAdminUser/getDistributionList",
    method: "get",
    params: params,
  });
}

//分销商列表
export function peopleList(params) {
  return request({
    url: "/ums/umsAdminUser/list",
    method: "get",
    params: params,
  });
}

//分销员下级列表
export function getJuniorList(params) {
  return request({
    url: "/ums/umsAdminUser/getSubordinate",
    method: "get",
    params: params,
  });
}

//分销商列表
export function performanceList(params) {
  return request({
    url: "/ums/umsAdminUser/getPerformanceStatisticsList",
    method: "get",
    params: params,
  });
}

//设置分销等级
export function settingType(data) {
  return request({
    url: "/ums/umsAdminUser/setDistribution",
    method: "post",
    data: data,
  });
}

//获取二维码
export function getQrcode(data) {
  return request({
    url: "/ums/umsAdminUser/distributionBindUser",
    method: "post",
    data: data,
  });
}
